<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Kolo
 */

 
$kolo_embed_code = get_post_meta(get_the_ID(),'_kolo_embed_code',true);
$categories_list = get_the_category_list( esc_html__( ', ', 'kolo' ) );
$tags_list = get_the_tag_list( '', esc_html__( ', ', 'kolo' ) );	
?>

							
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if($kolo_embed_code){?>
		<!-- Post Image -->
		<div class="blog-post-img">
			<div class="audio-block">										
				<?php echo wp_kses($kolo_embed_code, array('iframe' => array('src' => array(), 'width' =>array(),'height' => array(), 'frameborder'=> array())), '');?>
			</div>
		</div>
	<?php }?>
	
	<!-- Post Titlebar -->
	<div class="blog-post-titlebar sin_title">
		<?php
			if ( is_single() ) :
				the_title( '<h4 class="entry-title">', '</h4>' );
			else :
				the_title( sprintf( '<h4 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );
			endif;
		?>	
	</div>
			
	<!-- Post Meta -->
	<div class="blog-post-info sin_post_info">
		<i class="fa fa-calendar"></i> <?php echo esc_html(get_the_time('F d, Y')); esc_html_e(' - ', 'kolo');?> <i class="fa fa-comments"></i> <?php comments_popup_link( '0 comments', '1 comment', '% comments', 'comments-link', '0'); esc_html_e(' - ' , 'kolo'); if($categories_list){ ?>
		<i class="fa fa-folder-open-o"></i> <?php echo $categories_list; } if($tags_list){ esc_html_e(' - ' , 'kolo'); ?> <i class="fa fa-tags"></i> <?php echo $tags_list; }?>
	</div>
			
	<!-- Post Summary -->
	<div class="blog-post-desc sing_blog_post_desc">
		<?php if(is_single()) { the_content();
		
		}else{
			
			the_excerpt ();
		}	
	
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'kolo' ),
				'after'  => '</div>',
			) );
		?>		
	</div>
	
	<?php if(!is_single()){?>
		<!-- Post Link -->
		<div class="article_link sin_article_link">
			<a class="" href="<?php the_permalink();?>"><?php esc_html_e('Read more' , 'kolo');?></a>
		</div>
	<?php }?>
	
</article><!-- #post-## -->
